%define upstream_name    POE-Component-Syndicator
%define upstream_version 0.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A POE component base class which implements the Observer pattern
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/POE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Object::Pluggable) >= 1.290.0
BuildRequires: perl(POE) >= 1.311.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
POE::Component::Syndicator is a base class for POE components which need to
handle a persistent resource (e.g. a connection to an IRC server) for one
or more sessions in an extendable way.

This module (as well as Object::Pluggable, which this module inherits from)
was born out of POE::Component::IRC, the guts of which quickly spread to
other POE components. Now they can all inherit from this module instead.

The component provides an event queue, which can be managed with the
methods documented below. It handles delivery of events to the object
itself, all interested plugins, and all interested sessions.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.60.0-2.mga3
+ Revision: 371309
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 21 2011 jquelin <jquelin> 0.60.0-1.mga2
+ Revision: 111439
- update to 0.06

* Wed Jun 15 2011 jquelin <jquelin> 0.50.0-1.mga2
+ Revision: 107851
- imported package perl-POE-Component-Syndicator

